unit RetrPrg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, ExtCtrls;

type
  TRetrFprg = class(TForm)
    DateTimePicker1: TDateTimePicker;
    LabelDate: TLabel;
    Panel1: TPanel;
    Label1: TLabel;
    Timer1: TTimer;
    procedure FormActivate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure DateTimePicker1Change(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  RetrFprg: TRetrFprg;

implementation

{$R *.dfm}

USES
  Inifiles;
  
VAR
  nom_rep : String;

procedure TRetrFprg.FormActivate(Sender: TObject);
VAR
  f_init : TIniFile;
  a_date : TdateTime;
begin
  Timer1.Interval := 15000;     Timer1.Enabled := TRUE;
  nom_rep := ExtractFilePath(Application.ExeName);
  F_Init := TiniFile.Create(nom_Rep+'Retraite.ini');
    a_date := F_Init.ReadInteger('Date','Retraite',0);
  F_Init.Free;
  IF a_date =0
  THEN a_date := date;
  DateTimePicker1.Date := a_date;       a_date := date;
  Label1.Caption := IntToStr(ROUND(DateTimePicker1.Date-a_date))+' jours';
end;

procedure TRetrFprg.Timer1Timer(Sender: TObject);
begin
  Timer1.Enabled := FALSE;      Application.Terminate;
end;

procedure TRetrFprg.DateTimePicker1Change(Sender: TObject);
VAR
  f_init : TIniFile;
  a_date : TdateTime;
begin
  a_date := DateTimePicker1.Date;
  F_Init := TiniFile.Create(nom_Rep+'Retraite.ini');
     F_Init.WriteInteger('Date','Retraite',ROUND(a_date));
  F_Init.Free;
  a_date := date;
  Label1.Caption := IntToStr(ROUND(DateTimePicker1.Date-a_date))+' jours';
end;

end.
